> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set roster item

## Overview

Sets information about a specific roster item for the account.

## HTTP request

`POST /Agent/Xmpp/SetRosterItem`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"bareJid":Required(Str(PBareJid)),
	"name": Required(Str(PName)),
	"Groups": Optional(Str(PGroups)[])
}
```

## Input parameters

| Parameter | Description                          |
| --------- | ------------------------------------ |
| PBareJid  | Bare JID of roster item.             |
| PName     | Name to assign to the roster item.   |
| PGroups   | Groups to assign to the roster item. |

## Response (JSON)

```json theme={null}
{
	"bareJid": Required(Str(PBareJid)),
	"pendingSubscription": Required(Bool(PPendingSubscription)),
	"status": Required(Str(PStatus)),
	"name": Required(Str(PName)),
	"Groups": Optional(Str(PGroups)[])
}
```

## Response parameters

| Parameter            | Description                                                             |
| -------------------- | ----------------------------------------------------------------------- |
| PBareJid             | Bare JID of roster item.                                                |
| PPendingSubscription | If the account has a pending subscription request to the remote entity. |
| PStatus              | Status of roster item.                                                  |
| PName                | Name given to the roster item.                                          |
| PGroups              | Names of groups to which the roster item is assigned.                   |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
